diff -up sos-2.2/sos/plugins/anaconda.py.orig sos-2.2/sos/plugins/anaconda.py
--- sos-2.2/sos/plugins/anaconda.py.orig	2012-03-06 16:34:44.673750500 +0000
+++ sos-2.2/sos/plugins/anaconda.py	2012-03-06 16:34:57.638750796 +0000
@@ -32,3 +32,6 @@ class anaconda(sos.plugintools.PluginBas
         self.addCopySpec("/var/log/anaconda.xlog")
         return
 
+    def postproc(self):
+        self.doRegexSub("/root/anaconda-ks.cfg", r"(\s*rootpw\s*).*", r"\1*** PASSWORD ELIDED ***")
+        return
diff -up sos-2.2/sos/plugins/general.py.orig sos-2.2/sos/plugins/general.py
--- sos-2.2/sos/plugins/general.py.orig	2012-03-06 16:34:54.774750731 +0000
+++ sos-2.2/sos/plugins/general.py	2012-03-06 16:34:57.638750796 +0000
@@ -47,7 +47,6 @@ class general(sos.plugintools.PluginBase
         self.collectExtOutput("/bin/date", symlink = "date")
         self.collectExtOutput("/usr/bin/uptime", symlink = "uptime")
         self.collectExtOutput("/bin/dmesg")
-        self.addCopySpec("/root/anaconda-ks.cfg")
         self.collectExtOutput("/usr/sbin/alternatives --display java", symlink = "java")
         self.collectExtOutput("/usr/bin/readlink -f /usr/bin/java")
 
